Đến nội dung


Hình ảnh
* * * - - 1 Bình chọn

[Yêu cầu] viết lisp thống kê bản vẽ


  • Please log in to reply
177 replies to this topic

#101 duonghung1210

duonghung1210

    biết lệnh offset

  • Members
  • PipPipPip
  • 175 Bài viết
Điểm đánh giá: 61 (tàm tạm)

Đã gửi 19 May 2010 - 04:39 PM

Uất quá, tự dưng lại không dùng được lish exblk, bác nào làm ơn chỉ em tại sao nó lại chết thế?? :cheers: :cry: :cheers:
  • 0
Nhăn răng ra cười cho đời đỡ khổ!!!

#102 quan_elec

quan_elec

    biết zoom

  • Members
  • Pip
  • 13 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 19 May 2010 - 05:21 PM

Nếu sử dụng hàm Vxgetatt của anh gia_bach sẽ bị lỗi Font Unicode. Anh gia_bach xem lại code của anh 1 tý.
Đây là code mà Tue_NV viết lại -> quan_elec' chạy thử nhé :
Chạy với file mà file của bạn đã upload lên đây. Chú ý chọn Font chữ hiện hành giống với font chữ trong Khung tên
Đó là Style : KHUNGTEN-TIEUDE (font chữ Aria -Bảng mã Unicode)
Bạn chạy thử với code sau -> Tue_NV đã chỉnh lại :


(defun c:draw_name (/ att doc i kyhieu lst lstatt msp pt row ss tblobj ten) ;Bang ten ban ve
;; By : Gia Bach, Copyright- December 2009 ;;
;; Contact : gia_bach @ www.CadViet.com ;;
;Develop by Tue_NV. Contact : @tue_nvcc@yahoo.com
(defun VxGetAtts (Obj / L)
(setq L '())
(while (not (= (cdr(assoc 0 (entget (setq e (entnext e))
))) "SEQEND"))
(setq L (append L (list (list (cdr(assoc 2 (entget e)))
(cdr(assoc 1 (entget e)))
)
)
)
)
)
);defun
(SETQ lst '())
(if (> (atof (substr (getvar "ACADVER") 1 4)) 16.0) (progn

(if (setq ss (ssget "_A"(list (cons 0 "INSERT")(cons 66 1)(cons 2 "KT"))))
(progn
(vl-load-com)
(setq doc (vla-get-ActiveDocument (vlax-get-Acad-Object))
msp (vla-get-modelspace doc))
(foreach e (vl-remove-if 'listp (mapcar 'cadr (ssnamex ss)))
(setq lstAtt (VxGetAtts e)
kyhieu (cadr (assoc "DWNNO" lstAtt))
ten (cdr (assoc "DRAWING" lstAtt)))
(setq lst (cons (cons kyhieu ten) lst)) )
(setq lst (vl-sort lst '(lambda (x y) (< (atoi(substr (car x) 4 (- (strlen (car x)) 3)))
(atoi (substr (car y) 4 (- (strlen (car y)) 3)))
) ) ))
(setq i 1
row 2
pt (getpoint "\nDiem dat Bang :")
TblObj (vla-addtable msp (vlax-3d-point pt) (+ (length lst) 2) 3 15 100))
(vla-put-vertcellmargin TblObj 4)
(vla-SetColumnWidth TblObj 0 50)
(mapcar '(lambda (x)(vla-SetTextStyle TblObj x (getvar "TEXTSTYLE")))
(list acTitleRow acHeaderRow acDataRow) )
(mapcar '(lambda (x)(vla-setTextHeight TblObj x 5))
(list acTitleRow acHeaderRow acDataRow) )
(mapcar '(lambda (x)(vla-setAlignment TblObj x 2))
(list acTitleRow acHeaderRow acDataRow))
(vla-setText TblObj 0 0 "list of drawings")
(vla-setText TblObj 1 0 "STT")
(vla-setText TblObj 1 1 "Ten ban Ve")
(vla-setText TblObj 1 2 "Ky hieu")
(foreach pt lst
(vla-setText TblObj row 0 (itoa i))
(vla-setText TblObj row 1 (cadr pt))
(vla-setText TblObj row 2 (car pt))
(setq row (1+ row) i (1+ i))
)
(vlax-release-object TblObj)
(princ lst) ) ) )
(alert "\nPhien ban Cad cua ban khong ho tro tao Bang (TABLE)")
))

Đúng là nó tự dưng "chết" thiệt. :s_big: Chẳng hiểu nguyên nhân. Chỉ có anh gia_bach mới giải thích được cái này :rolleyes:

Cám ơn Tue_NV đã giúp , tuy nhiên lại xuâ1t hiện lỗi mới :
- Lisp đã thể hiện được font Unicode
- Tuy nhiên đối với Tên bản vẽ được đánh xuống dòng thì Lisp chỉ thống kê được phần dòng trên . VD:
+ Tên bản vẽ là : Mặt bằng bố trí chiếu sáng --> tầng trệt
+ Kết quả : Tên bản vẽ : Mặt bằng bố trí chiếu sáng
+ Phần : tầng trệt đã bị cắt mất .
Mong bác Tue_NV lại ra tay giúp đỡ . Thanks bác . Nhờ bác nên tui hiểu được lệnh : getvar "TEXTSTYLE" . Hii , thanks u
  • 0

#103 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 19 May 2010 - 06:07 PM

Chào Tue_NV
Anh đã phát hiện lỗi này khi Test, nhưng việc xử lý dấu \P (kí tự xuống dòng) trong LINK FIELD anh chưa biết cách. <_<
Nếu không phải LINK FIELD thì có thể giải quyết đuợc. (xử lý chuỗi [String] thì đơn giản hơn.)
......

Cảm ơn anh gia_bach. Em đã test thử và OK. Tuy nhiên lại xuất hiện lỗi về Font chữ Unicode. Khi tick vào nút Insert Field trong hộp thoại thì xuất hiện kí tự \P như anh đã thấy. Còn khi không tick vào Insert Field thì bị lỗi font chữ Unicode như file của bạn quanelec .
Đây là file test Lisp của anh bị lỗi font chữ Unicode :
http://www.cadviet.c...pfiles/2/bv.dwg
Tue_NV nghĩ nó do hàm Vxgetattx mà ra và hôm qua, Tue_NV đã mò mẫm, tìm cách sửa code để sửa lỗi font Unicode, khi thấy OK thì hí hửng post lên, ai ngờ lại bị lỗi là chỉ viết được 1 dòng. Khắc phục lỗi này lại lòi ra lỗi kia. Thiệt đang tìm cách khắc phục mà chưa biết có ra hay không nữa?

Rất mong anh giabach và các bạn cho thêm ý kiến về lỗi này. Cảm ơn anh gia_bach và mọi người
  • 2

#104 gia_bach

gia_bach

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1432 Bài viết
Điểm đánh giá: 1425 (rất tốt)

Đã gửi 20 May 2010 - 04:11 PM

Cảm ơn anh gia_bach. Em đã test thử và OK. Tuy nhiên lại xuất hiện lỗi về Font chữ Unicode. Khi tick vào nút Insert Field trong hộp thoại thì xuất hiện kí tự \P như anh đã thấy. Còn khi không tick vào Insert Field thì bị lỗi font chữ Unicode như file của bạn quanelec .
Đây là file test Lisp của anh bị lỗi font chữ Unicode :
http://www.cadviet.c...pfiles/2/bv.dwg
Tue_NV nghĩ nó do hàm Vxgetattx mà ra và hôm qua, Tue_NV đã mò mẫm, tìm cách sửa code để sửa lỗi font Unicode, khi thấy OK thì hí hửng post lên, ai ngờ lại bị lỗi là chỉ viết được 1 dòng. Khắc phục lỗi này lại lòi ra lỗi kia. Thiệt đang tìm cách khắc phục mà chưa biết có ra hay không nữa?

Rất mong anh giabach và các bạn cho thêm ý kiến về lỗi này. Cảm ơn anh gia_bach và mọi người

Không ngờ VisualLISP hỗ trợ TIẾNG VIỆT kém hơn AutoLISP ?!
Gửi Tuệ hàm lấy danh sách thuộc tính đã Fix lỗi font Tiếng Việt và Attribute có nhiều dòng (phần Field anh chưa biết cách).
(defun GetAtts (e / ent_data l pos tagname tagval val_data)  (while (not (= (cdr(assoc 0 (entget (setq e (entnext e)) ))) "SEQEND"))    (setq ent_data (entget e)  	TagName (cdr (assoc 2 ent_data))   	val_data (assoc 1 ent_data)  	TagVal (cdr val_data)  	ent_data (vl-remove val_data ent_data))    (if (setq val_data (assoc 1 ent_data))      (progn	(setq TagVal (cdr val_data))	(while (setq Pos (vl-string-search "\\P" TagVal))  	(setq TagVal (strcat (substr TagVal 1 pos) " " (substr TagVal (+ 3 Pos))) )) )    )        (setq L (append L (list (cons TagName TagVal))))  ))



Cập nhật LISP : Trích xuất Block thuộc tính (Khung tên).
Fix :
- lỗi font Tiếng Việt
- Attribute có nhiều dòng
Hình đã gửi
  • 4

#105 quan_elec

quan_elec

    biết zoom

  • Members
  • Pip
  • 13 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 20 May 2010 - 11:18 PM

Không ngờ VisualLISP hỗ trợ TIẾNG VIỆT kém hơn AutoLISP ?!
Gửi Tuệ hàm lấy danh sách thuộc tính đã Fix lỗi font Tiếng Việt và Attribute có nhiều dòng (phần Field anh chưa biết cách).

(defun GetAtts (e / ent_data l pos tagname tagval val_data)
(while (not (= (cdr(assoc 0 (entget (setq e (entnext e)) ))) "SEQEND"))
(setq ent_data (entget e)
TagName (cdr (assoc 2 ent_data))
val_data (assoc 1 ent_data)
TagVal (cdr val_data)
ent_data (vl-remove val_data ent_data))
(if (setq val_data (assoc 1 ent_data))
(progn
(setq TagVal (cdr val_data))
(while (setq Pos (vl-string-search "\\P" TagVal))
(setq TagVal (strcat (substr TagVal 1 pos) " " (substr TagVal (+ 3 Pos))) )) ) )
(setq L (append L (list (cons TagName TagVal)))) ))

Cập nhật LISP : Trích xuất Block thuộc tính (Khung tên).
Fix :
- lỗi font Tiếng Việt
- Attribute có nhiều dòng

Hình đã gửi

DownLoad Here

Bác Tue_NV vào SG đi , tui với bác rủ bác Gia_bach đi nhâu . không biết làm gì hơn cảm ơn hai bác . :rolleyes: . Cảm ơn hai bác nhiều . Hy vọng được làm phiền 2 bác nhiều hơn . :s_big:
  • 0

#106 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 21 May 2010 - 08:15 AM

Không ngờ VisualLISP hỗ trợ TIẾNG VIỆT kém hơn AutoLISP ?!
Gửi Tuệ hàm lấy danh sách thuộc tính đã Fix lỗi font Tiếng Việt và Attribute có nhiều dòng (phần Field anh chưa biết cách).

(defun GetAtts (e / ent_data l pos tagname tagval val_data)
(while (not (= (cdr(assoc 0 (entget (setq e (entnext e)) ))) "SEQEND"))
(setq ent_data (entget e)
TagName (cdr (assoc 2 ent_data))
val_data (assoc 1 ent_data)
TagVal (cdr val_data)
ent_data (vl-remove val_data ent_data))
(if (setq val_data (assoc 1 ent_data))
(progn
(setq TagVal (cdr val_data))
(while (setq Pos (vl-string-search "\\P" TagVal))
(setq TagVal (strcat (substr TagVal 1 pos) " " (substr TagVal (+ 3 Pos))) )) ) )
(setq L (append L (list (cons TagName TagVal)))) ))

Cập nhật LISP : Trích xuất Block thuộc tính (Khung tên).
......

Rất cảm ơn anh gia bach đã khắc phục lỗi font.
Nhân việc hỏi về cách Link field từ Block Att vào Table, anh cho em hỏi về cách Link field từ 1 thuộc tính TagVal này đến 1 thuộc tính TagVal khác. Tức là thay đổi giá trị của 1 Tagval này thì 1 Tagval kia thay đổi (1 chiều) khi phát lệnh REGEN.
Rất mong sự giúp đỡ của anh. Cảm ơn anh rất nhiều.

@'quan_elec' : Cảm ơn bác với lời mời. Nếu Tue_NV ở Sài gòn thì chắc chắn rủ bác với anh gia_bach đi nhậu liền à :rolleyes:
  • 0

#107 duonghung1210

duonghung1210

    biết lệnh offset

  • Members
  • PipPipPip
  • 175 Bài viết
Điểm đánh giá: 61 (tàm tạm)

Đã gửi 21 May 2010 - 09:03 AM

Sao bây giờ nó lại bị lỗi "thứ tự" nhỉ, cái cần ở đầu tiên thì lại chạy xuống dưới!! :rolleyes: :s_big: :s_big:
  • 0
Nhăn răng ra cười cho đời đỡ khổ!!!

#108 quan_elec

quan_elec

    biết zoom

  • Members
  • Pip
  • 13 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 21 May 2010 - 09:35 AM

Sao bây giờ nó lại bị lỗi "thứ tự" nhỉ, cái cần ở đầu tiên thì lại chạy xuống dưới!! :rolleyes: :s_big: :s_big:

Cái nào bác cần đặt trước thì bác add nó trước , cái nào ngay sau thì add sau . VD : STT -->TBV -->Ky hieu ban ve , thì bác sẽ add theo thứ tự : TBV trước rồi đến KHBV . Cám ơn diễn đàn .
  • 0

#109 gia_bach

gia_bach

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1432 Bài viết
Điểm đánh giá: 1425 (rất tốt)

Đã gửi 21 May 2010 - 12:45 PM

Sao bây giờ nó lại bị lỗi "thứ tự" nhỉ, cái cần ở đầu tiên thì lại chạy xuống dưới!! :rolleyes: :s_big: :s_big:

Bạn dùng nút Up - Down để sắp xếp theo thứ tư mong muốn.

...........
cách Link field từ 1 thuộc tính TagVal này đến 1 thuộc tính TagVal khác.
Tức là thay đổi giá trị của 1 Tagval này thì 1 Tagval kia thay đổi (1 chiều) khi phát lệnh REGEN.
........................

Gửi Tue_NV Lisp tạo Link field thuộc tính đầu tiên của Block Att
(defun C:Tag_link(/ att att1 blk_name ent field i obj obj1 source ss ss1)
;| By : Gia Bach, gia_bach @ www.CadViet.com |;
(princ "\nChon Block thuoc tinh nguon :" )
(if (setq ss1 (ssget "+.:S:N" (list (cons 0 "INSERT")(cons 66 1))))
(progn
(setq source (ssname ss1 0)
blk_name (cdr (assoc 2 (entget source))))
(princ "\nChon Block thuoc tinh can Link :" )
(if (setq ss (ssget (list (cons 0 "INSERT")(cons 2 blk_name)(cons 66 1))))
(progn
(setq i -1
obj1 (vlax-Ename->Vla-Object source)
Att1 (car (append (vlax-invoke Obj1 'GetAttributes)
(vlax-invoke Obj1 'GetConstantAttributes)))
field (strcat "%<\\AcObjProp Object(%<\\_ObjId " (itoa (vla-get-Objectid Att1)) ">%).TextString>%"))
(while (setq ent (ssname ss (setq i (1+ i))))
(setq obj (vlax-Ename->Vla-Object ent)
Att (car (append (vlax-invoke Obj 'GetAttributes)
(vlax-invoke Obj 'GetConstantAttributes))) )
(vla-put-TextString Att field) ) ))
(vl-cmdf "regen" ) ))
(princ))

  • 1

#110 quan_elec

quan_elec

    biết zoom

  • Members
  • Pip
  • 13 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 22 May 2010 - 09:32 AM

Bạn dùng nút Up - Down để sắp xếp theo thứ tư mong muốn.
Gửi Tue_NV Lisp tạo Link field thuộc tính đầu tiên của Block Att

(defun C:Tag_link(/ att att1 blk_name ent field i obj obj1 source ss ss1)
;| By : Gia Bach, gia_bach @ www.CadViet.com |;
(princ "\nChon Block thuoc tinh nguon :" )
(if (setq ss1 (ssget "+.:S:N" (list (cons 0 "INSERT")(cons 66 1))))
(progn
(setq source (ssname ss1 0)
blk_name (cdr (assoc 2 (entget source))))
(princ "\nChon Block thuoc tinh can Link :" )
(if (setq ss (ssget (list (cons 0 "INSERT")(cons 2 blk_name)(cons 66 1))))
(progn
(setq i -1
obj1 (vlax-Ename->Vla-Object source)
Att1 (car (append (vlax-invoke Obj1 'GetAttributes)
(vlax-invoke Obj1 'GetConstantAttributes)))
field (strcat "%<\\AcObjProp Object(%<\\_ObjId " (itoa (vla-get-Objectid Att1)) ">%).TextString>%"))
(while (setq ent (ssname ss (setq i (1+ i))))
(setq obj (vlax-Ename->Vla-Object ent)
Att (car (append (vlax-invoke Obj 'GetAttributes)
(vlax-invoke Obj 'GetConstantAttributes))) )
(vla-put-TextString Att field) ) ))
(vl-cmdf "regen" ) ))
(princ))

Chào bác Gia_bach và Tue_NV , lại làm phiền 2 bác nữa rồi . Lisp truy xuất thuộc tính Block của bác Gia_bach có lỗi về sắp xếp thứ tự khi truy xuất . 2 bác xem qua bản vẽ theo link sau nhé http://www.mediafire.com/?wnq22qmc0nm .Cám ơn 2 bác trước , hii :rolleyes:
  • 1

#111 duonghung1210

duonghung1210

    biết lệnh offset

  • Members
  • PipPipPip
  • 175 Bài viết
Điểm đánh giá: 61 (tàm tạm)

Đã gửi 22 May 2010 - 11:30 AM

Chào bác Gia_bach và Tue_NV , lại làm phiền 2 bác nữa rồi . Lisp truy xuất thuộc tính Block của bác Gia_bach có lỗi về sắp xếp thứ tự khi truy xuất . 2 bác xem qua bản vẽ theo link sau nhé http://www.mediafire.com/?wnq22qmc0nm .Cám ơn 2 bác trước , hii :s_big:

đó đó, ý em là vậy đó! thực ra trước kia bác Gia_Bach đã khắc phục lỗi này rồi ( đã đề cập ở những bài viết bên trên) nhưng không hiểu sao bây giờ lại bị
lại!!!!!!!

lish của bác chạy ngon rùi! Nhưng bác có thể thêm lựa chọn như:
-chọn text style
- fit text ( cụ thể: text chỉ ở 1 hàng, trong một dòng), không bị xuống dòng tạo ra các hàng có chiều cao khác nhau trông không đẹp lắm!
tham lam quá! các bác lượng thứ!
@ trinhvqh: em chạy thử thì ok, sort từ nhỏ đến lớn!
Hình đã gửi

Bác xem lại cho, xim cảm tạ.......... :s_big: :rolleyes:
  • 0
Nhăn răng ra cười cho đời đỡ khổ!!!

#112 gia_bach

gia_bach

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1432 Bài viết
Điểm đánh giá: 1425 (rất tốt)

Đã gửi 24 May 2010 - 08:41 AM

... Lisp truy xuất thuộc tính Block có lỗi về sắp xếp thứ tự ...

To duonghung1210 quan_elec : Cám ơn góp ý của hai bạn.

Cập nhật LISP : Trích xuất Block thuộc tính (Khung tên).
Fix :
- lỗi sắp xếp thứ tự.
- FIX chiều rộng từng cột.
Hình đã gửi

Bài viết đã được chỉnh sửa nội dung bởi gia_bach: 27 October 2011 - 04:23 PM

  • 6

#113 quan_elec

quan_elec

    biết zoom

  • Members
  • Pip
  • 13 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 24 May 2010 - 12:10 PM

To duonghung1210 quan_elec : Cám ơn góp ý của hai bạn.

Cập nhật LISP : Trích xuất Block thuộc tính (Khung tên).
Fix :
- lỗi sắp xếp thứ tự.
- FIX chiều rộng từng cột.
Hình đã gửi

Link download

Chào bác Gia_bach , tui mới thử Lisp truy xuất thuộc tính của bác ,bác làm việc nhanh gọn thiệt , hii . Nhưng hình như có chút nhẫm lẫn về ý tưởng thực hiện bác ah . Về trình tự sắp xếp nó sẽ như thế này nè bác Gia_bach:
Bản vẽ chiếu sáng : E-01-01 ; E-01-02…….E-01-09
Bản vẽ thông tin : IT-01-01 ; IT-01-02…….IT-01-09
Bản vẽ báo cháy : FA-01-01 ; FA-01-02…….FA-01-09
Lisp trước đây của bác đã thể hiện được yêu cầu trên , tuy nhiên chỉ có chút xáo trộn trong việc sắp xếp thứ tự ( như trên bản vẽ theo link đã gửi )
Nhờ bác coi lại giúp nhé :rolleyes: thanks bác .
  • 0

#114 duonghung1210

duonghung1210

    biết lệnh offset

  • Members
  • PipPipPip
  • 175 Bài viết
Điểm đánh giá: 61 (tàm tạm)

Đã gửi 24 May 2010 - 12:36 PM

To duonghung1210 quan_elec : Cám ơn góp ý của hai bạn.

Cập nhật LISP : Trích xuất Block thuộc tính (Khung tên).
Fix :
- lỗi sắp xếp thứ tự.
- FIX chiều rộng từng cột.

­
Cảm ơn bác, với em thì ngon rồi!!
a, bác tắt cái autocad menssage đi được không, khi mình contens... lish vào thì lúc nào khởi động máy cũng lên cái menssage đó, cứ thấy chậm chậm thế nào ấy!!! :rolleyes: :s_big: :s_big:
  • 0
Nhăn răng ra cười cho đời đỡ khổ!!!

#115 trinhvqh

trinhvqh

    biết lệnh block

  • Members
  • PipPipPipPipPipPip
  • 408 Bài viết
Điểm đánh giá: 222 (khá)

Đã gửi 24 May 2010 - 02:39 PM

Yêu cầu của bạn có vẻ khó thực hiện. :s_big:
Vì sắp xếp theo thứ tự của bạn ( E -> I -> F) sẽ không tổng quát đối với mọi nguời.
Có lẽ bạn nên đổi cách đặt tên tag SBV :rolleyes:


Không thể vì Sort theo thứ tự abc mà đổi tên ký hiệu bộ môn được.
Thực tế các bộ môn không sort theo thứ tự ABC.

Theo ý kiến của tôi việc Sort phải theo thứ bậc:
01. Sắp xếp bộ môn: theo nguyên tắc áp đặt ví dụ KT.; KC.; CĐ; CTN;..
02. Sắp xếp thứ tự bản vẽ: Theo 123
03. Sắp xếp thứ tự bản vẽ chỉnh sửa: Ví dụ E-01a; E-01b (theo thứ tự abc)

Xem ra, việc này quá tầm với Autolisp
Hoặc là nguời sử dụng sẽ tiếp tục xà quần, hoặc là các cao thủ lisp sẽ cân não, hoặc là tôi tiếp tục bị "đả kích" :s_big:
  • 0

#116 quan_elec

quan_elec

    biết zoom

  • Members
  • Pip
  • 13 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 24 May 2010 - 02:40 PM

LISP sắp xếp thứ tự theo qui tắc : mẫu tự ABC.
do đó bản vẽ của bạn sắp xếp thứ tự theo Tag = SBV sẽ là : E-.... -> FA-.... -> IT-.....
cụ thể là :
1. Bản vẽ chiếu sáng : E-01-01 ; E-01-02…….E-01-09
2. Bản vẽ báo cháy : FA-01-01 ; FA-01-02…….FA-01-09
3. Bản vẽ thông tin : IT-01-01 ; IT-01-02…….IT-01-09

Yêu cầu của bạn có vẻ khó thực hiện. :s_big:
Vì sắp xếp theo thứ tự của bạn ( E -> I -> F) sẽ không tổng quát đối với mọi nguời.
Có lẽ bạn nên đổi cách đặt tên tag SBV :rolleyes:

To : duonghung1210
Cập nhật theo yêu cầu của bạn. http://www.cadviet.c...es/2/exblk3.zip

Hix, Ý em không phải vậy bác gia_bach ơi . Nhờ bac load giúp bản vẽ theo link này http://www.mediafire.com/?qwukjzjzzyj
Trong đó em đã nói rõ hơn về trường hợp của em .
  • 0

#117 trinhvqh

trinhvqh

    biết lệnh block

  • Members
  • PipPipPipPipPipPip
  • 408 Bài viết
Điểm đánh giá: 222 (khá)

Đã gửi 24 May 2010 - 04:05 PM

Tên ký hiệu bộ môn sẽ đặt theo T/Chuẩn nào ? TCVN, JIT, BS, ...

Bạn sẽ đề xuất T/Chuẩn ... CadViet ?

Có vẻ như lâu ngày không thấy ai "đả kích" , trinhvqh cũng hơi "nhơ sắc ..." :rolleyes:


Lâu lâu phải thêm tí "gia vị" cho nó đậm đà chứ Bác!
Không thì chỉ diễn đàn chỉ toàn là "mẹ hát con khen hay"

Bác hỏi "dựa theo tiêu chuẩn nào?" thì em pó tay
Cái đó phải chờ Bộ Xây dựng (việc này khó khả thi)
Cho nên mới gọi là "áp đặt"

Có một thực tế 100% Hồ sơ bản vẽ gồm nhiều bộ môn và 100% các Bộ môn đều không sắp xếp theo thứ tự abc
(Không biết việc này đủ thuyết phục gia_bach khỏi vẹn vẹo mình nữa k?)
  • 0

#118 quan_elec

quan_elec

    biết zoom

  • Members
  • Pip
  • 13 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 24 May 2010 - 07:04 PM

Khó hiểu quá !
Đây là kết quả chọn TagSort theo tag SBV
Hình đã gửi

chọn Tag TagSort theo tag SBV
Hình đã gửi
Tên ký hiệu bộ môn sẽ đặt theo T/Chuẩn nào ? TCVN, JIT, BS, ...

Bạn sẽ đề xuất T/Chuẩn ... CadViet ?

Có vẻ như lâu ngày không thấy ai "đả kích" , trinhvqh cũng hơi "nhơ sắc ..." :rolleyes:

Sorry bác gia_bach , lam phiền bác 1 chuyện quá đơn giản , hii , em quên để ý cách sử dụng . Mong bác thứ lỗi :s_big: . Cám ơn bác nhiều , đa tạ , đa tạ .. :s_big:
  • 0

#119 nemo2004

nemo2004

    biết lệnh break

  • Advance Member
  • PipPipPipPip
  • 229 Bài viết
Điểm đánh giá: 98 (tàm tạm)

Đã gửi 03 June 2010 - 05:23 PM

Ui vấn đề nay hay quá em đang bị cái vụ tạo drawing list trên công ty.Nhưng bài nhiều quá có bác nào tổng hợp lại không ( trong này bom đạn dặt tùm lum em sợ đụng vào lại nổ chết người :rolleyes:)

@TUE_VN : lâu quá không gặp chú Tuệ rồi, dạo này chú và gia đình vẫn khỏe chứ ah !Chú đã chuyển vào nam chưa hay vẫn ở chỗ cũ vậy?
  • 0

Spoiler


#120 funnyzui

funnyzui

    biết vẽ arc

  • Members
  • PipPip
  • 49 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 17 July 2010 - 01:16 AM

Xin a gia_bach vui lòng giải thích giùm e. E đang xài CAD 2007. Mặc dù đã download về thử nghiệm 3,4 cái trích xuất block thuộc tính ExBlk.vlx, nhưng ko hiểu có sai thao tác nào ko mà sau ghi tạo bảng xong. Bảng trống huơ trống hoắc, các cell ko có contents nào cả. Và lạ là khi click đúp vô thì ô cell tự nhiên biến mất.

Ko biết có ai bị như vầy ko??? :D
Hình đã gửi
  • 0